--- build/pkgs/git/spkg-install.orig	2015-05-17 22:46:55.000000000 +0000
+++ build/pkgs/git/spkg-install	2015-05-24 22:10:32.517077000 +0000
@@ -69,7 +69,8 @@
             --libexecdir="$SAGE_LOCAL"/libexec \
             --with-python="$SAGE_LOCAL"/bin/python \
             --without-tcltk \
-            --with-sane-tool-path=
+            --with-sane-tool-path= \
+            --with-perl=$PERL
 if [ $? -ne 0 ]; then
     echo >&2 "Error configuring git."
     exit 1
@@ -77,7 +78,7 @@
 
 
 echo "Building git..."
-$MAKE $gettext
+$MAKE PTHREAD_LIBS=-lpthread $gettext
 if [ $? -ne 0 ]; then
     echo >&2 "Error building git."
     exit 1
